@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

*,
*::before,
*::after {   
    margin: 0;
    padding: 0;
    background: rgb(248, 247, 247);
    font-weight: 100;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

#movies {
    margin-top: 1rem;
    gap: 1rem;
    display: grid;
    grid-auto-flow: column;
    height: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    overscroll-behavior-inline: contain;
}

#cover {
    width: 100%;
    border-radius: 1rem 1rem 0 0;
    position: relative;
    background: #ce2d04;
    height: 16rem;
}

#icons {
    display: flex;
    justify-content: space-between;
    position: absolute;
}

#logo {
    width: 5rem;
}

#edit, #delete {
    /* display: flex; */
    /* display: block; */
    z-index: 1;
    background: #ffffff;
    cursor: pointer;
    justify-content: space-around;
    /* margin: 1rem 9.5rem; */
    opacity: .8;
    border-radius: 50%;
    padding: .2rem;
    margin: .8rem;
}

#icons img {
    width: 1.5rem;
}

#edit {
    margin-left: 6.5rem;
}

.main-info, .movie-info {
    width: 100%;
    position: absolute;
    margin: 1rem;
}

.main-info {
    display: flex;
    flex-direction: row;
    margin-top: 1rem;
    color: rgb(24, 24, 24);
}

#nota, #titulo {
    font-weight: 600;
    font-size: 1.1rem;
}

.note {
    bottom: 1.6rem;
    margin: 0 auto;
    width: fit-content;
    font-size: .8rem;
    position: relative;
    border-radius: 100%;
    box-shadow: rgba(0, 0, 0, .2) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;    
} 

.note h3 {
    font-weight: 600;
    background: transparent;
    padding: .4rem;
    color: rgb(102, 102, 102);
}

.main-info h3 {
    background: transparent;
}

.movie-info {
    font-size: .797rem;
    width: fit-content;
    padding: 0 .9rem;
    border-radius: 1rem;
    border: none;
    box-shadow: rgba(0, 0, 0, .2) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;    
    margin-top: 3.5rem;
    color: rgb(102, 102, 102);
    line-height: 1.25rem;
}

.movie-info h4 {
    font-weight: 300;
}

.movie {
    margin: 1rem;

    position: relative;
    width: 12rem;
    background: rgb(248, 247, 247);
    height: 22rem;
    border-radius: 1rem;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

label {
    color: rgb(80, 79, 79, .9);
    font-size: .9rem;
    font-weight: 500;
}

nav {
    z-index: 2;
    display: flex;
    justify-content: space-around;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    height: 4rem;
    width: 100%;
    position: fixed;
    align-items: center;
}

#main {
    /* display: flex;
    flex-direction: column; */
    margin: 0 auto;
    padding: 0 2rem;
}

input[type="checkbox"] {
    width: 1rem;
}

main h2 {
    text-align: center;
}

form input {
    margin: .1rem 0 1rem 0;
}

form button {
    width: 7rem;
    height: 2rem;
    line-height: 1rem;
    border: none;
    background: rgb(25, 23, 46);
    color: azure;
    font-weight: 600;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;    border-radius: 4px;
    padding: 9px;
    border-radius:10px 10px 0;
    cursor: pointer;
}

form button:hover {
    background: rgb(46, 45, 88);
}

#msg {
    padding-bottom: 2rem;
}


.up {
    display: none;
}

#id {
    display: none;
}

input {
    outline: none;
    border: 2px solid #eee;
    border: none;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;    border-radius: 4px;
    padding: 9px;
    border-radius:10px 10px 0;
}


input:hover,
input:focus {
    box-shadow: rgba(0, 0, 0, 0.8) 0px 1px 3px 0px, rgba(27, 31, 35, 0.25) 0px 0px 0px 1px;
}

.form-first, .form-sec, .form-tert {
    display: flex;
    flex-direction: column;
    align-self: center;
    justify-content: center;
}

form {
    margin-top: 4rem;
}


@media only screen and (min-width: 700px) {

    form {
        display: flex;
        flex-direction: row;
        gap: 4rem;
        justify-content: center;
    }

    form button {
    margin-top: 2rem;
    }
    
    #movies {
        justify-content: center;
        gap: 1rem;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    #logo {
        width: 7rem;
    }
  }